<html>
<head>
	<title>Insertion sort</title>
</head>
<body>
</body>
	<script type="text/javascript">
		let n=Number(prompt("enter the number of elememts "))
			let arr=new Array()
		for(let i=0;i<n;i++)
		{
			arr.push(Number(prompt("enter the element")))
		} 
		function insertion(arr)
		{
			let j=0
			for(let i=1;i<arr.length;i++)
			{
				j=i-1
				let nxtele=arr[i]
				while(arr[j]>nxtele && j>=0)
				{
					arr[j+1]=arr[j]
					j=j-1
					arr[j+1]=nxtele	
				}
			}
			alert(arr)
		}		
		insertion(arr)
	</script>
	</html>